Bug 47338 - univention-join fails, if a second macAddress is set
univention-join fails, if a second macAddress is set
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Join (univention-join)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-2-errata
Assigned To: Jannik Ahlers
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-11 12:45 CEST by Christina Scheinig
Modified: 2018-10-17 14:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.171
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2018071121000368
Bug group (optional):
Max CVSS v3 score:


Attachments
example patch (725 bytes, patch)
2018-09-18 13:23 CEST, Jürn Brodersen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christina Scheinig univentionstaff 2018-07-11 12:45:23 CEST
Joining a school Slave fails when two macAddress are set.

The Error Message in the join.log:
E: MAC address 0c:b6:4a:aa:24:08 is already assigned to cn=dc02,cn=dc,cn=server,cn=computers,ou=test,dc=schule,dc=example,dc=com, please remove that object or change the MAC address.

MacAddress configured at the slave object:
macAddress: 0c:b6:4a:aa:24:08 -> eth0, aktiv
macAddress: 0c:b5:7a:bb:23:49 -> eth1, nicht konfiguriert

Removing the second macAddress the join is successful
Comment 1 Jannik Ahlers univentionstaff 2018-09-14 16:17:23 CEST
univention-join (10.0.0-20)
8f7ab3bf2db6 | Bug #47338: fix univention-join for hosts with more than one mac address

univention-join.yaml
704d9ab3a411 | Bug #47338: yaml

Successful build
Package: univention-join
Version: 10.0.0-20A~4.3.0.201809141608
Branch: ucs_4.3-0
Scope: errata4.3-2

univention-join is now able to handle systems with two or more mac addresses.
Comment 2 Jürn Brodersen univentionstaff 2018-09-18 13:23:02 CEST
Created attachment 9678 [details]
example patch

Please use an array instead of newlines to save the mac addresses.

A join is currently not possible because an empty -mac argument is added.

See also the patch as an example
Comment 3 Jannik Ahlers univentionstaff 2018-09-28 13:36:55 CEST
Successful build
Package: univention-join
Version: 10.0.0-23A~4.3.0.201809281330
Branch: ucs_4.3-0
Scope: errata4.3-2

fixed
Comment 5 Jannik Ahlers univentionstaff 2018-09-28 16:35:16 CEST
Successful build
Package: univention-join
Version: 10.0.0-24A~4.3.0.201809281627
Branch: ucs_4.3-0
Scope: errata4.3-2

Successful build
Package: ucs-test
Version: 8.0.28-197A~4.3.0.201809281631
Branch: ucs_4.3-0
Scope: errata4.3-2
Comment 6 Jannik Ahlers univentionstaff 2018-10-01 11:41:24 CEST
uccessful build
Package: ucs-test
Version: 8.0.28-198A~4.3.0.201810011132
Branch: ucs_4.3-0
Scope: errata4.3-2

commit ac3d2e373a0ccc44be3838d3db7e5f69a4b60212
Author: Jannik Ahlers <ahlers@univention.de>
Date:   Mon Oct 1 11:30:58 2018 +0200

Bug #47338: let test 11_join/10join_preexisting_acc_with_multiple_macs only run on master
Comment 7 Jürn Brodersen univentionstaff 2018-10-15 10:35:07 CEST
What I tested:
Join with updated univention-join on slave -> OK
Join with updated univention-join on master -> OK
Join with updated univention-join -> OK

Tests -> OK
YAML -> OK

-> Verified
Comment 8 Arvid Requate univentionstaff 2018-10-17 14:57:20 CEST
<http://errata.software-univention.de/ucs/4.3/271.html>